Skip to main content
POST
/
user
/
addresses
Create address
curl --request POST \
  --url https://api.managem.co.uk/user/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "home",
  "type": "shipping",
  "line1": "67 Test Close",
  "city": "Petersfield",
  "state": "Hampshire",
  "postalCode": "GU322JX",
  "country": "GB",
  "isValidated": false,
  "isPrimary": true
}
'
{
  "type": "shipping",
  "line1": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "id": "<string>",
  "label": "<string>",
  "line2": "<string>",
  "loqateId": "<string>",
  "isValidated": false,
  "isPrimary": false,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required

Type of address, 'shipping' or 'billing'

Available options:
shipping,
billing
line1
string
required

First line of the formatted address

Minimum string length: 1
city
string
required

City or town

Minimum string length: 1
state
string
required

State or province name

postalCode
string
required

Postal or ZIP code

Minimum string length: 1
country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
label
string | null

A recognisable label for the address, e.g. "Home", "Work"

line2
string | null

Second line of the formatted address

loqateId
string | null

The LoqateID of the address, if applicable

isValidated
boolean | null
default:false

Whether the address has been validated using Loqate

isPrimary
boolean | null
default:false

Whether the address is the primary address for this type

Response

Address created

Information representing a user's address. A user address can be either a shipping or billing address.

type
enum<string>
required

Type of address, 'shipping' or 'billing'

Available options:
shipping,
billing
line1
string
required

First line of the formatted address

Minimum string length: 1
city
string
required

City or town

Minimum string length: 1
state
string
required

State or province name

postalCode
string
required

Postal or ZIP code

Minimum string length: 1
country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
id
string
required

Unique identifier for the address

label
string | null

A recognisable label for the address, e.g. "Home", "Work"

line2
string | null

Second line of the formatted address

loqateId
string | null

The LoqateID of the address, if applicable

isValidated
boolean | null
default:false

Whether the address has been validated using Loqate

isPrimary
boolean | null
default:false

Whether the address is the primary address for this type

createdAt
string | null

Timestamp when the address was created

updatedAt
string | null

Timestamp when the address was last updated